Auto Multiple Choice - Bug # 213: Mise a jour du port pour MacPorts

Status: Closed Priority: Normal

Author: Joél Brogniart Category:

Created: 09/26/2013 Assignee:

Updated: 10/01/2013 Due date:

Description: Maintenant que toutes les dépendances sont présentes dans MacPorts, j'envisage de soumettre une mise a

jour du port d'’AMC a la version 1.2.1. Je joins le fichier de port que je pense soumettre. Qu'en pensez vous ?

Pendant que j'y pense, sur la premiere page du manuel, il faudrait mettre le copyright jusqu'en 2013.

History

09/26/2013 08:55 am - Joél Brogniart

Zut, j'ai pas changé le type. Ce n'est pas un bug !

09/26/2013 02:50 pm - Alexis Bienveniie

Excellente idée. Voici quelques remarques :

* vous pouvez vous déclarer dans la rubrique @maintainers@ a la place de I'ancien responsable de paquet, qui n'a pas le temps de s'occuper de ce
port (je viens de le lui demander pour confirmation)

* je ne sais pas quelle est la politique de MacPorts : vaut-il mieux indiquer des dépendances @p5-*@ ou @p5.12-*@ ? Les ports @p5-*@ pointent
vers les @p5.12-*@ actuellement, mais quand tout passera a va lersion 5.14 de perl (ou une autre), avoir déclaré les dépendances en @p5-*@
permettra peut-étre une transition plus facile.

* peut-étre que @master_site@ et @dist_files@ sont inutiles comme vous utilisez maintenant SVN pour récupérer les sources ? Je vais tout de méme
placer le fichier @precomp@ de la version 1.2.1 dans I'endroit indiqué, on ne sait jamais

09/30/2013 08:52 am - Jo€l Brogniart

+ Je modifierai le maintainer. Il est aussi possible de mettre "nomaintainer" pour que tout le monde puisse faire des modifications.

* La politique MacPorts est de préciser la dépendance p5-12 pour laisser le temps de tester les ports avec une nouvelle version lors d'un changement.
« Je pense qu'il vaut mieux utiliser la version precomp quand elle existe. Je vais faire quelques tests avec d'autres machines que ma machine de

travail pour voir si ¢ga se passe bien.

09/30/2013 10:33 am - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Resolved

OK.
> Pendant que j'y pense, sur la premiére page du manuel, il faudrait mettre le copyright jusqu'en 2013.
J'ai fait ¢ga dans la version en développement, merci.

09/30/2013 06:00 pm - Joél Brogniart
- File Portfile added

Les tests se sont bien passé et je vais proposer le "Portfile" (basé sur le fichier precomp et pas sur subversion).

10/01/2013 06:44 pm - Joél Brogniart

Le port est accepté sur MacPorts, la version 1.2.1 peut maintenant s'installer de maniére bien plus simple. Il va falloir que j'actualise quelques

documents maintenant !

10/01/2013 06:59 pm - Alexis Bienveniie
- Status changed from Resolved to Closed
Excellent !

Files
Portfile 3.8kB 09/26/2013 Joél Brogniart
Portfile 3.9kB 09/30/2013 Joél Brogniart
